%define api_version	1.0
%define lib_major 0
%define libname	%mklibname %{oname}- %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{oname}- %{api_version}
%define oname gtksourceview

Summary:	Source code viewing library
Name:		gtksourceview1
Version: 	1.8.5
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Libraries
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{oname}/%{oname}-%{version}.tar.xz
Patch0:		gtksourceview-1.8.5-fix-str-fmt.patch
Patch1:		gtksourceview-1.8.5-glib.patch
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.8.0
BuildRequires:	pkgconfig(libgnomeprint-2.2) >= 2.8.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  intltool
Conflicts:	gtksourceview-sharp <= 0.5-3mdk
Obsoletes: 	gtksourceview < 1.90

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides: gtksourceview1.0 = %version

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-%{api_version}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{oname}- %{api_version} %{lib_major}

%description -n %{libnamedev}
GtkSourceView development files 


%prep
%setup -q -n %oname-%version
%patch0 -p0
%patch1 -p0


%build
export CPPFLAGS=-D_GNU_SOURCE=1
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

#conflicts with boo
rm -rf  %{buildroot}/usr/share/gtksourceview-1.0/language-specs/boo.lang

# remove static libs
rm -f %{buildroot}%{_libdir}/*.la

%{find_lang} %{oname}-%{api_version}

%clean
rm -rf %{buildroot}

%files -f %{oname}-%{api_version}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_datadir}/gtksourceview-%{api_version}

%files -n %{libname} 
%defattr(-,root,root)
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gtksourceview
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Sep 13 2017 bb2 <bb2> - 1.8.5-4pclos2017
- rebuild

* Fri Aug 22 2014 bb <bb> - 1.8.5-3pclos2014
- rebuild for new directfb
- drop .la files
- disable static
- add build patches
